## Contents

- Properties
- Methods

class solace.Destination

This class is not exposed for construction by API users. Users should obtain an instances from one of the following:

- solace.SolclientFactory.createTopicDestination
- solace.SolclientFactory.createDurableQueueDestination
- solace.MessageConsumer#getDestination
- solace.SDTField#getValue when solace.SDTField#getType returns solace.SDTFieldType.DESTINATION.

Represents a message destination.

Publishers can send messages to topics or queues, to which subscribers can subscribe or bind. A Destination specifies the target of such an operation.

## Constructor Top

| Destination ( ) |  |

## Properties Top

readonly String | name |  |
readonly solace.DestinationType | type |  |

## Methods Top

String | getName ( ) |
solace.DestinationType | getType ( ) |
String | toString ( ) |

## Constructor details Top

###
Destination ( )

This class is not exposed for construction by API users. Users should obtain an instances from one of the following:

- solace.SolclientFactory.createTopicDestination
- solace.SolclientFactory.createDurableQueueDestination
- solace.MessageConsumer#getDestination
- solace.SDTField#getValue when solace.SDTField#getType returns solace.SDTFieldType.DESTINATION.

Represents a message destination.

Publishers can send messages to topics or queues, to which subscribers can subscribe or bind. A Destination specifies the target of such an operation.

## Properties Detail Top

###
public readonly String name

###
public readonly solace.DestinationType type

## Methods Detail Top

###
public String getName ( )

#### Return Value

String | The destination name specified at creation time.

###
public solace.DestinationType getType ( )

#### Return Value

solace.DestinationType | The destination type

###
public String toString ( )

#### Return Value

String | A generic description of the Destination.